#define LOCALEDIR "/usr/share/locale"
#define ISOCODES_ISO639_XML "/usr/share/xml/iso-codes/iso_639.xml"
#define ISOCODES_ISO3166_XML "/usr/share/xml/iso-codes/iso_3166.xml"
#define XLIBDIR "/usr/lib/X11"
/* #undef XKB_RULES_XML_FILE */
/* #undef LIBICONV_SECOND_ARGUMENT_IS_CONST */

#ifdef LIBICONV_SECOND_ARGUMENT_IS_CONST
typedef const char* IconvStr;
#else
typedef char* IconvStr;
#endif

#define FCITX4_MAJOR_VERSION 4
#define FCITX4_MINOR_VERSION 2
#define FCITX4_PATCH_VERSION 2

#define FCITX_CHECK_VERSION(major,minor,micro)    \
    (FCITX4_MAJOR_VERSION > (major) || \
     (FCITX4_MAJOR_VERSION == (major) && FCITX4_MINOR_VERSION > (minor)) || \
     (FCITX4_MAJOR_VERSION == (major) && FCITX4_MINOR_VERSION == (minor) && \
      FCITX4_PATCH_VERSION >= (micro)))
